ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alejandro Fernandez" <afernan...@hortonworks.com>
Subject Re: Review Request 29946: Hadoop Clients Should Update All Clients During Rolling Upgrade
Date Thu, 15 Jan 2015 23:18:36 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/29946/#review68352
-----------------------------------------------------------



ambari-server/src/main/resources/common-services/HBASE/0.96.0.2.0/package/scripts/hbase_client.py
<https://reviews.apache.org/r/29946/#comment112529>

    hdp-select has a component called hbase-client. I haven't checked if calling this also
updates the symlink in /usr/hdp/current
    
    Perhaps this should call hdp-select on both hadoop-client and hbase-client


- Alejandro Fernandez


On Jan. 15, 2015, 9:58 p.m., Jonathan Hurley wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/29946/
> -----------------------------------------------------------
> 
> (Updated Jan. 15, 2015, 9:58 p.m.)
> 
> 
> Review request for Ambari, Nate Cole and Tom Beerbower.
> 
> 
> Bugs: AMBARI-9160
>     https://issues.apache.org/jira/browse/AMBARI-9160
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> During a rolling upgrade, service components and clients call {{hdp-select}} to set the
new version and update symlinks in {{/usr/hdp/current}}.
> 
> There is a problem in that {{/usr/hdp/current/hadoop-client}} may never be run if there
are non-HDFS/YARN/MapR clients installed on a host. Essentially, components always call 
> 
> {noformat}
> hdp-select set oozie-client 2.2.1.0-1234
> {noformat}
> 
> Where the component name is scoped correctly (falcon-client, etc)
> 
> {{/usr/hdp/current/hadoop-client}} however does not have an associated client. Therefore,
the 
> 
> {{<group name="CLIENTS" title="Client Components">}} group in the upgrade pack
should call the following:
> 
> {noformat}
> hdp-select set client 2.2.1.0-1234
> {noformat}
> 
> 
> Diffs
> -----
> 
>   ambari-server/src/main/resources/common-services/HBASE/0.96.0.2.0/package/scripts/hbase_client.py
b00a82e 
>   ambari-server/src/main/resources/common-services/SLIDER/0.60.0.2.2/package/scripts/slider_client.py
ca74c35 
>   ambari-server/src/test/python/stacks/2.0.6/HBASE/test_hbase_client.py b352d90 
>   ambari-server/src/test/python/stacks/2.2/SLIDER/test_slider_client.py 0b5cdd1 
> 
> Diff: https://reviews.apache.org/r/29946/diff/
> 
> 
> Testing
> -------
> 
> Manual test of upgrading a cluster with lots of services and clients; verifed that hadoop-client
symlink was correct on all hosts
> 
> -----------------------------------------------------------------------
> Total run:583
> Total errors:0
> Total failures:0
> OK
> 
> 
> Thanks,
> 
> Jonathan Hurley
> 
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message